using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using HCM.BusinessEntities;

namespace HCM.BajaWare.Services
{
    [ServiceContract]
    interface IinterfacesServicesCatalogos
    {
        [OperationContract]
        List<Interfaces> ListadoRelacionAcreditado();

        [OperationContract]
        List<Interfaces> ListadoSectorLaboral();

        [OperationContract]
        List<Interfaces> ListadoTipoDeudorRelacionado();

        [OperationContract]
        List<Interfaces> ListadoComprobanteIngresos();

        [OperationContract]
        List<Interfaces> ListaActivides();

        [OperationContract]
        List<Interfaces> ListaEstados();

        [OperationContract]
        List<Interfaces> ListaMunicipios(short shEstadoID);

        [OperationContract]
        List<Interfaces> ListaColonias(string strCP);

        [OperationContract]
        List<Interfaces> ListaReestructura();

        [OperationContract]
        List<Interfaces> ListaDestinoCredito();

        [OperationContract]
        List<Interfaces> ListaTasaReferencia();

        [OperationContract]
        List<Interfaces> ListaClasificacionLegal();

        [OperationContract]
        List<Interfaces> ListaNumeroAgrupacion();

        [OperationContract]
        List<Interfaces> ListaOperacionFormalizada();

        [OperationContract]
        List<Interfaces> ListaInformacionRecuperacion();

        [OperationContract]
        List<Interfaces> ListaExpedienteCompleto();

        [OperationContract]
        List<Interfaces> ListaMetodologia();

        [OperationContract]
        List<Interfaces> ListaTipoAlta();

        [OperationContract]
        List<Interfaces> ListaDisposicionCredito();

        [OperationContract]
        List<Interfaces> ListaInstitucion();

        [OperationContract]
        List<Interfaces> ListaTipoBaja();

        [OperationContract]
        List<Interfaces> ListaPeriodicidadCap();

        [OperationContract]
        List<Interfaces> ListadoPaises();
        [OperationContract]
        List<Interfaces> ListadoTipoGarantia(int negocio);
        [OperationContract]
        List<Interfaces> ListadoMoneda();
        [OperationContract]
        List<Interfaces> ListadoInstitucion();
        [OperationContract]
        List<Interfaces> ListadoRegimenFiscal();
        [OperationContract]
        List<Interfaces> ListadoTamDeudor();

        [OperationContract]
        List<Interfaces> ListaTipoDomicilio();

        [OperationContract]
        List<Interfaces> ListaLocalidades(short shEstadoID);
        [OperationContract]
        List<Interfaces> ListadoPersonalidadJuridica();
        [OperationContract]
        List<Interfaces> ListadoTipoAval();
        [OperationContract]
        List<Interfaces> ListadoIndustria();
        [OperationContract]
        List<Interfaces> ListadoGradoRiesgo();

        [OperationContract]
        List<Interfaces> ListaPersonalidadJuridica();

        [OperationContract]
        List<Interfaces> ListadoEjecutivosBancarios();

        [OperationContract]
        List<Interfaces> ListadoSucursalesBancarias();
        [OperationContract]
        List<Interfaces> ListadoPeriodicidadInt();
        [OperationContract]
        List<Interfaces> ListadoTipoCreditoR04A();
        [OperationContract]
        List<Interfaces> ListadoPreferencia();

        [OperationContract]
        List<Interfaces> ListadoTipoLineaRevoca();

        [OperationContract]
        List<Interfaces> ListadoComprobanteIngresosInividual();
        [OperationContract]
        List<Interfaces> ListarEntidadCofinanciadora();
        [OperationContract]
        List<Interfaces> ListarProductoHipotecario();
        //ListarTipoSeguro
        [OperationContract]
        List<Interfaces> ListarTipoSeguro();
        //ListarTipoTasaInteres
        [OperationContract]
        List<Interfaces> ListarTipoTasaInteres();
        //ListarEntidadSeguro
        [OperationContract]
        List<Interfaces> ListarEntidadSeguro();

        [OperationContract]
        List<Area> ListarAreas();
        [OperationContract]
        List<Interfaces> ListarClasificacionContable();
        [OperationContract]
        List<Interfaces> ListarTipoCreditoPromo();

        [OperationContract]
        SepomexResult ObtineEdoMpoPorCP(string strCP);
    }
}

